use.role.as.xrefstyle
Prev | Cross References | Next

## use.role.as.xrefstyle

use.role.as.xrefstyle — Use `role` attribute for `xrefstyle` on `xref`?

## Synopsis

    <xsl:param name="use.role.as.xrefstyle" select="1"></xsl:param>

## Description

In DocBook documents that conform to a schema older than V4.3, this parameter allows `role` to serve the purpose of specifying the cross reference style.

If non-zero, the `role` attribute on `xref` will be used to select the cross reference style. In DocBook V4.3, the `xrefstyle` attribute was added for this purpose. If the `xrefstyle` attribute is present, `role` will be ignored, regardless of the setting of this parameter.

## Example

The following small stylesheet shows how to configure the stylesheets to make use of the cross reference style:

    <?xml version="1.0"?>
    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version="1.0">

    <xsl:import href="../xsl/html/docbook.xsl"/>

    <xsl:output method="html"/>

    <xsl:param name="local.l10n.xml" select="document('')"/>
    <l:i18n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0">
      <l:l10n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0" language="en">
       <l:context name="xref">
          <l:template name="chapter" style="title" text="Chapter %n, %t"/>
          <l:template name="chapter" text="Chapter %n"/>
        </l:context>
      </l:l10n>
    </l:i18n>

    </xsl:stylesheet>

With this stylesheet, the cross references in the following document:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
                      "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
    <book id="book"><title>Book</title>

    <preface>
    <title>Preface</title>

    <para>Normal: <xref linkend="ch1"/>.</para>
    <para>Title: <xref xrefstyle="title" linkend="ch1"/>.</para>

    </preface>

    <chapter id="ch1">
    <title>First Chapter</title>

    <para>Irrelevant.</para>

    </chapter>
    </book>

will appear as:

Normal: Chapter 1.

Title: Chapter 1, First Chapter.

Prev | Up | Next
insert.xref.page.number | Home | xref.with.number.and.title